Subject: Re: bug#64369: Request for merging "mesa-updates" branch

From: John Kehayias <[email-masked]>
Date: Mon, 31 Jul 2023 15:24:40 +0000

On Fri, Jul 28, 2023 at 03:29 PM, John Kehayias wrote:

> Hello,
>
> On Mon, Jul 24, 2023 at 03:14 PM, John Kehayias wrote:
>
>> I'm not sure what is going on with the CI and QA.
>> <https://ci.guix.gnu.org/> hasn't shown any new evaluations in several
>> days (the workers were stuck at some point too, but nckx gave it a
>> poke and now I don't see any builds left). But when I check with guix
>> weather I do get substitutes. Any ideas what the actual status is?
>>
>
> Things got unstuck recently at ci.guix.gnu.org was churning away. I saw
> some failed builds due to what looks like some build farm download
> issue, e.g. <https://ci.guix.gnu.org/build/1671444/details> which build
> fine locally. I think this is what blocked a bunch of KDE-related
> packages as well. A bunch of java packages also failed but the ones I
> tried also built locally (some had long build logs but I didn't see the
> cause).
>
> So I think x86 is okay, while e.g. aarch64 is slowly chipping away.
>
> If that's okay then I'll cherry pick the commits to master today or
> tomorrow.
>
> Thanks for your help Chris!

Pushed to master with 4f0ce65b74a3d28bf6ecbe4c15052dd0de22b284 the final
commit from that branch.

Thanks!

(I'll delete the remote branch for now, until needed again.)